Zum Hauptinhalt springen

Request a file upload token for the conversation

POST/v2/conversations/{conversationId}/files
API-Version
v2
Request-Methode
POST
Operation-ID
conversation-request-file-upload

Request​

  • conversationIdstring (uuid)required

Responses​

Format
application/json
Beschreibung

The upload token with additional rules describing what files can be uploaded using this token. The token can be used with POST /v2/files‍ to upload a file that is linked with the conversation.

  • conversationIdstring (uuid)required
  • rulesobjectrequired
    • maxSizeInKBintegerrequired
    • mimeTypesArray von stringrequired
      • Array[
        • *string
        ]
    • propertiesobject
      • imageDimensionsobject
        • maxobject
          • heightinteger
          • widthinteger
        • minobject
          • heightinteger
          • widthinteger
  • uploadTokenstringrequired
Content-Type: application/json

{
"conversationId": "f0f86186-0a5a-45b2-aa33-502777496347",
"rules": {
"maxSizeInKB": 123,
"mimeTypes": [
"string"
],
"properties": {
"imageDimensions": {
"max": {
"height": 123,
"width": 123
},
"min": {
"height": 123,
"width": 123
}
}
}
},
"uploadToken": "string"
}
{
"properties": {
"conversationId": {
"format": "uuid",
"type": "string"
},
"rules": {
"properties": {
"maxSizeInKB": {
"type": "integer"
},
"mimeTypes": {
"items": {
"type": "string"
},
"type": "array"
},
"properties": {
"properties": {
"imageDimensions": {
"properties": {
"max": {
"properties": {
"height": {
"type": "integer"
},
"width": {
"type": "integer"
}
},
"type": "object"
},
"min": {
"properties": {
"height": {
"type": "integer"
},
"width": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "object"
}
},
"type": "object"
}
},
"required": [
"mimeTypes",
"maxSizeInKB"
],
"type": "object"
},
"uploadToken": {
"type": "string"
}
},
"required": [
"conversationId",
"uploadToken",
"rules"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/conversations/f0f86186-0a5a-45b2-aa33-502777496347/files
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.conversation.requestFileUpload({
"conversationId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {}
});

assertStatus(response, 201);

use \Mittwald\ApiClient\Generated\V2\Clients\Conversation\RequestFileUpload\RequestFileUploadRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Conversation\RequestFileUpload\RequestFileUploadRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// RequestFileUploadRequestBody to learn how to construct a valid instance
$body = new RequestFileUploadRequestBody(/* TODO: ... */);

$request = (new RequestFileUploadRequest(
conversationId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->conversation()->requestFileUpload($request);

var_dump($response->getBody();

Auf dieser Seite